<?xml version="1.0" encoding="UTF-8" ?>

<node name=@BMP_DBUS_PATH__MPRIS_PLAYER_@>

  <interface name=@BMP_DBUS_INTERFACE__MPRIS_@>

    <method name="PlayUris">
      <arg type="as"/>
    </method>

    <method name="Next"/>
    <method name="Prev"/>
    <method name="Pause"/>
    <method name="Stop"/>
    <method name="Play"/>

    <method name="VolumeSet">
      <arg type="i"/>
    </method>

    <method name="VolumeGet">
      <arg type="i" direction="out"/>
    </method>

    <method name="GetMetadata">
      <arg type="a{sv}" direction="out" />
    </method>

    <!-- Signals -->

    <signal name="TrackChange">
      <arg type="a{sv}"/>
    </signal>

    <signal name="CapsChange">
      <arg type="i"/>
    </signal>

    <signal name="StatusChange">
      <arg type="i"/>
    </signal>

  </interface>
</node>
